# PSF-LoginServer - master - net.psforever.services.support.SupportActor
PSF - LoginServer - master - net.psforever.services.support.SupportActor
Keywords: PSF LoginServer master net.psforever.services.support.SupportActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package support
  Definition Classes
    services
- SimilarityComparator
- SupportActor
- SupportActorCaseConversions

o

net.psforever.services.support

# SupportActor 

###
Companion class SupportActor

#### object SupportActor

Source
  SupportActor.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SupportActor
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  case class ClearAll () extends Product with Serializable

   "Clearing" cancels all entries if they are discovered in the first pool of objects.

   "Clearing" cancels all entries if they are discovered in the first pool of objects. Those entries will no longer be affected by any actions performed by the removal process until re-submitted.

2.  case class ClearSpecific (targets: List[PlanetSideGameObject], zone: Zone) extends Product with Serializable

   "Clearing" cancels entries with the discovered objects (in the same `zone`) if they are discovered in the first pool of objects.

   "Clearing" cancels entries with the discovered objects (in the same `zone`) if they are discovered in the first pool of objects. Those entries will no longer be affected by any actions performed by the removal process until re-submitted. If the list of targets is empty, all discovered objects in the given zone will be considered targets.

   targets

     a list of objects to match

   zone

     the zone in which these objects exist; the assumption is that all these target objects are registered to this zone

3.  class Entry extends AnyRef
4.  case class HurryAll () extends Product with Serializable

   "Hurrying" shifts all entries through their first task and into the second pool.

5.  case class HurrySpecific (targets: List[PlanetSideGameObject], zone: Zone) extends Product with Serializable

   "Hurrying" shifts entries with the discovered objects (in the same `zone`) through their first task and into the second pool.

   "Hurrying" shifts entries with the discovered objects (in the same `zone`) through their first task and into the second pool. If the list of targets is empty, all discovered objects in the given zone will be considered targets.

   targets

     a list of objects to match

   zone

     the zone in which these objects exist; the assumption is that all these target objects are registered to this zone

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped